Flavours API Documentation
  1. Zatca
Flavours API Documentation
  • Readme
  • Developer Guide
  • Authorization
  • Includables
  • Pagination
  • Sorting
  • Retrieve Market Information
  • Retrieve Branch Information
  • Me
    • Overview
    • Detail
      GET
  • Branches
    • Overview
    • List
    • Detail
    • Create
    • Update
    • Delete
  • Orders
    • Overview
    • List
    • Detail
    • Create
    • Calculate
    • Checkout
    • Update
    • Sync
  • Customers
    • Overview
    • List
    • Detail
    • Create
    • Update
  • Products
    • Overview
    • List
    • Detail
    • Create
    • Update
    • Delete
  • Product Categories
    • Overview
    • List
    • Detail
  • Discounts
    • Overview
    • List
    • Detail
    • Verify
  • Payment Methods
    • Overview
    • List
    • Detail
  • Table
    • Overview
    • List
    • Detail
    • Create
    • Update
    • Delete
  • Printer
  • Webhook
    • Orders Webhooks
      • Webhook Events
      • Payload
    • Product Webhooks
      • Webhook Events
      • Payload
    • Loyalty Webhooks
      • Promotional Coupon
    • Customers Webhooks
      • Webhook Events
      • Payload
    • Error Webhook
      • Stay Alert to Connectivity Issues
    • Third-Party
      • Ballurh
        • Install Ballurh
      • Loyapro
        • Loyalty
          • Check Reward
          • Redeem Reward
      • Bonat
        • Check Reward
        • Redeem Reward
      • Fai
        • Register Entity
      • Blend
        • Authorization
        • Get Menu
        • Get Branches
        • Create Order
        • Update Order
      • Zatca
        • Onboard Devices
          POST
        • Invoices Generate
          POST
        • Send Invoices
          POST
        • Get Devices
          GET
        • Get Devices Detail
          GET
        • Remove Devices
          DELETE
  1. Zatca

Invoices Generate

Developing
DEVELOPMENT
https://api.flavours.sa/dev/api/v2
DEVELOPMENT
https://api.flavours.sa/dev/api/v2
POST
https://api.flavours.sa/dev/api/v2
/zatca/invoice/generate

Request

Authorization
Add parameter in header
API-TOKEN
Example:
API-TOKEN: ********************
Body Params application/jsonRequired

Example
{ "device_id": 8,   "invoice_json": {
    "invoice_type": "simplified",
    "document_type": "invoice",
    "line_items": [
      {"name": "Product A", "quantity": 5, "unit_price": 100.00}
    ]
  }
  }

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.flavours.sa/dev/api/v2/zatca/invoice/generate' \
--header 'API-TOKEN: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{ "device_id": 8,   "invoice_json": {
    "invoice_type": "simplified",
    "document_type": "invoice",
    "line_items": [
      {"name": "Product A", "quantity": 5, "unit_price": 100.00}
    ]
  }
  }'

Responses

🟠404Not Found
application/json
Body

Example
{
    "detail": "string"
}
Modified at 2026-03-12 16:15:31
Previous
Onboard Devices
Next
Send Invoices
Built with